Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Infiniband problem, kernel mismatch
From: Peter Kjellström (cap_at_[hidden])
Date: 2010-12-03 05:09:05


On Friday 19 November 2010 01:03:35 HeeJin Kim wrote:
...
> * mlx4: There is a mismatch between the kernel and the userspace
> libraries: Kernel does not support XRC. Exiting.*
...
> What I'm thinking is that the infiniband card is installed but it doesn't
> work in correct mode.
> My linux kernel version is *2.6.18-164.el5*, and installed ofed
> version is *kernel-ib-pp-1.4.1-ofed20090528r1.4.1sgi605r1.rhel5

Why don't you as a first step try the ib software that is included with EL5.4
(that is, don't install OFED). We run several clusters this way.

Also, consider updating to 5.5 (the version you're on includes several
security vulnerabilities).

/Peter